
From: Adrian Bunk <bunk@stusta.de>

This patch makes the following changes to the msdos partition code:
- remove CONFIG_NEC98_PARTITION leftovers
- make parse_bsd static

This patch was already ACK'ed by Andries Brouwer.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 fs/partitions/Makefile |    1 -
 fs/partitions/check.c  |    3 ---
 fs/partitions/check.h  |    4 ----
 fs/partitions/msdos.c  |    4 ++--
 4 files changed, 2 insertions(+), 10 deletions(-)

diff -puN fs/partitions/check.c~small-partitions-msdos-cleanups fs/partitions/check.c
--- 25/fs/partitions/check.c~small-partitions-msdos-cleanups	2005-05-09 20:10:19.000000000 -0700
+++ 25-akpm/fs/partitions/check.c	2005-05-09 20:10:19.000000000 -0700
@@ -79,9 +79,6 @@ static int (*check_part[])(struct parsed
 #ifdef CONFIG_LDM_PARTITION
 	ldm_partition,		/* this must come before msdos */
 #endif
-#ifdef CONFIG_NEC98_PARTITION
-	nec98_partition,	/* must be come before `msdos_partition' */
-#endif
 #ifdef CONFIG_MSDOS_PARTITION
 	msdos_partition,
 #endif
diff -puN fs/partitions/check.h~small-partitions-msdos-cleanups fs/partitions/check.h
--- 25/fs/partitions/check.h~small-partitions-msdos-cleanups	2005-05-09 20:10:19.000000000 -0700
+++ 25-akpm/fs/partitions/check.h	2005-05-09 20:10:19.000000000 -0700
@@ -30,7 +30,3 @@ put_partition(struct parsed_partitions *
 
 extern int warn_no_part;
 
-extern void parse_bsd(struct parsed_partitions *state,
-			struct block_device *bdev, u32 offset, u32 size,
-			int origin, char *flavour, int max_partitions);
-
diff -puN fs/partitions/Makefile~small-partitions-msdos-cleanups fs/partitions/Makefile
--- 25/fs/partitions/Makefile~small-partitions-msdos-cleanups	2005-05-09 20:10:19.000000000 -0700
+++ 25-akpm/fs/partitions/Makefile	2005-05-09 20:10:19.000000000 -0700
@@ -17,4 +17,3 @@ obj-$(CONFIG_SUN_PARTITION) += sun.o
 obj-$(CONFIG_ULTRIX_PARTITION) += ultrix.o
 obj-$(CONFIG_IBM_PARTITION) += ibm.o
 obj-$(CONFIG_EFI_PARTITION) += efi.o
-obj-$(CONFIG_NEC98_PARTITION) += nec98.o msdos.o
diff -puN fs/partitions/msdos.c~small-partitions-msdos-cleanups fs/partitions/msdos.c
--- 25/fs/partitions/msdos.c~small-partitions-msdos-cleanups	2005-05-09 20:10:19.000000000 -0700
+++ 25-akpm/fs/partitions/msdos.c	2005-05-09 20:10:19.000000000 -0700
@@ -202,12 +202,12 @@ parse_solaris_x86(struct parsed_partitio
 #endif
 }
 
-#if defined(CONFIG_BSD_DISKLABEL) || defined(CONFIG_NEC98_PARTITION)
+#if defined(CONFIG_BSD_DISKLABEL)
 /* 
  * Create devices for BSD partitions listed in a disklabel, under a
  * dos-like partition. See parse_extended() for more information.
  */
-void
+static void
 parse_bsd(struct parsed_partitions *state, struct block_device *bdev,
 		u32 offset, u32 size, int origin, char *flavour,
 		int max_partitions)
_
